OGRE-Next: Ogre::LodWorkQueueWorker Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodWorkQueueWorker Class Reference

Processes requests. More...

`#include <OgreLodWorkQueueWorker.h>`

Inheritance diagram for Ogre::LodWorkQueueWorker:
[legend]

## Public Member Functions
| LodWorkQueueWorker ()
| ~LodWorkQueueWorker () override
void | addRequestToQueue (LodConfig &lodConfig, LodCollapseCostPtr &cost, LodDataPtr &data, LodInputProviderPtr &input, LodOutputProviderPtr &output, LodCollapserPtr &collapser)
void | addRequestToQueue (LodWorkQueueRequest *request)
void | clearPendingLodRequests ()
Public Member Functions inherited from Ogre::Singleton< LodWorkQueueWorker >
| ~Singleton ()

## Static Public Member Functions
static LodWorkQueueWorker & | getSingleton ()
static LodWorkQueueWorker * | getSingletonPtr ()
Static Public Member Functions inherited from Ogre::Singleton< LodWorkQueueWorker >
static LodWorkQueueWorker & | getSingleton ()
static LodWorkQueueWorker * | getSingletonPtr ()

## Detailed Description

Processes requests.

## Constructor & Destructor Documentation

## ◆ LodWorkQueueWorker()

Ogre::LodWorkQueueWorker::LodWorkQueueWorker | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~LodWorkQueueWorker()

Ogre::LodWorkQueueWorker::~LodWorkQueueWorker | ( |  | ) |
| override

## Member Function Documentation

## ◆ addRequestToQueue() [1/2]

void Ogre::LodWorkQueueWorker::addRequestToQueue | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr & | cost,
|  | LodDataPtr & | data,
|  | LodInputProviderPtr & | input,
|  | LodOutputProviderPtr & | output,
|  | LodCollapserPtr & | collapser )

## ◆ addRequestToQueue() [2/2]

void Ogre::LodWorkQueueWorker::addRequestToQueue | ( | LodWorkQueueRequest * | request | ) |

## ◆ clearPendingLodRequests()

void Ogre::LodWorkQueueWorker::clearPendingLodRequests | ( |  | ) |

## ◆ getSingleton()

LodWorkQueueWorker & Ogre::LodWorkQueueWorker::getSingleton | ( |  | ) |
| static

References LodWorkQueueWorker().

## ◆ getSingletonPtr()

LodWorkQueueWorker * Ogre::LodWorkQueueWorker::getSingletonPtr | ( |  | ) |
| static

References LodWorkQueueWorker().

The documentation for this class was generated from the following file:

- OgreLodWorkQueueWorker.h